import { UserDeviceData } from '@jealous-robot-dev/shared-types-requests';
import * as Common from '../common';
export interface UserDevice {
    ip: string;
    deviceSpecs: UserDeviceData;
}
export interface UserCredentialsModel extends Common.DataStandartModel {
    readonly UID: string;
    readonly userDevices: UserDevice[];
    authProviders?: Common.AuthProviders[];
    firstname?: string;
    lastname?: string;
    email: string;
    suspended?: boolean;
    profilePicUrl?: string;
    username: string;
    password?: string;
}
export interface HighlySuggestedParams {
    firstname?: boolean;
    lastname?: boolean;
    username?: boolean;
}
export interface UserCardData {
    firstname?: string;
    lastname?: string;
    username?: string;
    email: string;
    authProvider?: Common.AuthProviders;
    ppu?: string;
}
export interface SerializedUser {
    lastname: string;
    firstname: string;
    email: string;
    aw: Common.AuthProviders;
    ppu: string;
    UID: string;
    suspended: boolean;
    username: string;
}
